Bug 181890 - Suspend "Bricks" my laptop.
Suspend "Bricks" my laptop.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
Blocks: 181889
  Show dependency treegraph
Reported: 2006-02-17 11:02 EST by Chris Kloiber
Modified: 2015-01-04 17:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-05 08:35:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Sysreport output for my laptop. (419.24 KB, application/x-bzip2)
2006-03-02 10:43 EST, Chris Kloiber
no flags Details
Sysreport doesn't grab dmidecode... (5.43 KB, text/plain)
2006-03-02 10:45 EST, Chris Kloiber
no flags Details
my sysreport for radeon m9 (448.09 KB, application/x-bzip2)
2006-03-06 20:43 EST, Vitor Domingos
no flags Details

  None (edit)
Description Chris Kloiber 2006-02-17 11:02:47 EST
+++ This bug was initially created as a clone of Bug #181889 +++

In recent rawhide spins, the option to shutdown has been removed and replaced
with a "Suspend" button. If suspend worked, or at least did nothing useful, I
wouldn't complain. Unfortunately this button "bricks" my laptop. Suspend seems
to work, the machine goes into a condition where it's apparently off, but the
power button blinks. Unfortunately the power button then does almost nothing
else. Holding the power button does eventually really power off the machine, but
it then does not turn it back on. Removing/replacing the batteries is the only
way to recover. 

If there is any data I can provide to help track this down please let me know.

FC-5-Test3-20060216.0/4.92/x86_64 (Xen not installed)
on eMachines M6807 Laptop w/latest manufacturer's bios.
Comment 1 Dave Jones 2006-03-02 03:05:22 EST
shutdown/reboot have been re-added, but hopefully the work we've done on suspend
the last few days has improved things.  Can you try with the latest
kernel/pm-utils/hal ?
Comment 2 Chris Kloiber 2006-03-02 08:25:30 EST
I'm bringing the laptop to work today, will update it and then try it.
Comment 3 Chris Kloiber 2006-03-02 10:43:09 EST
Created attachment 125543 [details]
Sysreport output for my laptop.

Still bricks on suspend.
Comment 4 Chris Kloiber 2006-03-02 10:45:30 EST
Created attachment 125544 [details]
Sysreport doesn't grab dmidecode...
Comment 5 Vitor Domingos 2006-03-06 19:56:32 EST
Same here! I think that's the "usual" problem with the radeon m9 card.
Comment 6 Vitor Domingos 2006-03-06 20:43:17 EST
Created attachment 125742 [details]
my sysreport for radeon m9
Comment 7 Peter Jones 2006-03-08 23:08:04 EST
Chris, can you load radeonfb with the option "radeon_force_sleep=1" and then try
to suspend?  If so, we can add the card to the whitelist easily...
Comment 8 Chris Kloiber 2006-03-09 13:34:25 EST
My system uses radeon, not radeonfb. I manually loaded the module with the
requested option, but it still bricks. I do not know how to make the machine
automatically load radeonfb (and radeon was still loaded)
Comment 9 Chris Kloiber 2006-03-09 13:39:02 EST
It seems radeonfb has little to do with X. It makes the virtual consoles use
smaller fonts, but that's about all I can see that it does.
Comment 10 Dave Jones 2006-10-16 17:41:48 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 11 Dave Jones 2006-11-24 17:12:50 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 12 Jon Stanley 2008-02-05 08:35:16 EST
Closing since there was an error in previous mass-close and they remained in

Note You need to log in before you can comment on or make changes to this bug.